# Sign

The **Sign** function adds a digital signature to a PDF document.

***

## Properties

### Input <a href="#input" id="input"></a>

The following properties specify the PDF document to be loaded and modified by the operation:

#### File path <a href="#file-path" id="file-path"></a>

Path to the PDF file.

#### Authentication type <a href="#authentication-type" id="authentication-type"></a>

PDF files can be protected using a password or a certificate. This field indicates which type of authentication to attempt when loading the PDF.

1. **None**\
   The document is unprotected and can be opened immediately.
2. **Password**\
   The document is protected by a password.
3. **Certificate**\
   The document is protected by a certificate.

**Password**:

Only displayed when **Authentication type** is 'Password'.

* **Password**: Password required to access the PDF file.

{% hint style="info" %}

> **Note:**\
> All passwords entered into this function's properties will be visible in plain text in the Linx solution file and in the compiled .NET assembly.
> {% endhint %}

**Certificate**

Only displayed when **Authentication type** is 'Certificate'.

**Certificate source**:\
Source to load the certificate from:

1. **File** - Load a certificate from a .pfx file.
2. **Store** - Load a certificate from the Windows certificate store.

**File**

Displayed when **Certificate source** is 'File'.

* **Certificate file path**: Path to a .pfx file containing a certificate.
* **Certificate file password**: Password needed to open the certificate file.

**Store**

Displayed when **Certificate source** is 'Store'.

* **Certificate**: Certificate in the Windows keystore.

{% hint style="info" %}

> **Note:**\
> Certificate protected files are not supported by the "Fill form," "Sign," "Add watermark," and "Concatenate" operations. If you need to use the operations on a certificate-protected document, first remove the certificate protection using the "Change protection" operation. The certificate must include the private key to be able to load the document.
> {% endhint %}

***

### Misc <a href="#misc" id="misc"></a>

* **Signed at**: Location where the signing took place.
* **Reason**: Reason for signing the document.
* **Lock document after signing**: Lock the document to prevent further changes.

***

### Output <a href="#output" id="output"></a>

#### File path <a href="#output-file-path" id="output-file-path"></a>

Path of the PDF file to write to.

***

### Signature <a href="#signature" id="signature"></a>

#### Signature placement <a href="#signature-placement" id="signature-placement"></a>

Where to place the signature in the document:

1. **No visible signature** - Don't display a visible signature.
2. **Form signature field** - Insert the signature into an existing signature form field.
3. **On page** - Place a visible signature on a specific page in the document.

**Form signature field**

Displayed when **Signature placement** is 'Form signature field'.

* **Field name**: Form field name to place the signature in.
* **Background image**: Path to an image to use as the background for the signature field. This can be left blank if no background image is needed.

**On page**

Displayed when **Signature placement** is 'On page'.

* **Position X (mm)**: Distance of the left side of the signature from the


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/pdf/content/sign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
